<!--------------------------------------------------------------->

<ion-content>
  <div class="container">

    <h3 style="text-align: center;color: white;">Loading..  {{progress}}%</h3>
    <p style="color: red">{{error}}</p>
    <div class="uploadfilecontainer" (click)="fileInput.click()" appDragDrop (onFileDropped)="onDrag($event)">
      <input hidden type="file" #fileInput (change)="onDrag($event.target.files)">
    </div>
    <div class="files-list" *ngFor="let f of toUpload">
      <p>{{f.name}}</p>
      <ion-icon name="trash-sharp" style="margin-top: 10px;" size="large" color="danger" class="delete-file"
        (click)="toUpload.splice(toUpload.indexOf(f), 1)">

      </ion-icon>
    </div>
    <div style="text-align: center;">
      <ion-button class="btn btn-primary" (click)="send()" [disabled]="toUpload.length==0">Upload</ion-button>
    </div>
  </div>

  <!--CREATE STANZA--------------------------------------------------------------------------------------->

  <ion-card>
    <ion-card-header>
      <ion-card-title>
        Create new Room
      </ion-card-title>
    </ion-card-header>
    <ion-card-content>

      <form [formGroup]="formStanza">

        <div padding>
          <ion-item>
            <ion-input name="nameStanza" type="text" placeholder="Nome Stanza" formControlName="nameStanza"
              style="text-transform: capitalize;"></ion-input>
          </ion-item>

          <ion-item *ngIf="formStanza.controls['nameStanza'].invalid && formStanza.controls['nameStanza'].dirty ">
            <div style=" background-color: salmon;">The field is required</div>
          </ion-item>
        </div>

        

        <div style="text-align:center;" padding>
          <ion-button class="add" color='primary' (click)="addNewStanza()" size="large" type="submit"
            [disabled]="formStanza.invalid">Add Room</ion-button>
        </div>

      </form>
      <!--{{stanze|json}}-->
    </ion-card-content>
  </ion-card>
</ion-content>
